;| AlleLayoutsUmbenennen
-------------------------------------------------------------------------------

Benennt alle Layouts mit dem Dateinamen
und einer fortlaufenden Nummer


-------------------------------------------------------------------------------
Copyright (C) 2006 Markus Hoffmann
www.CADmaro.de
-------------------------------------------------------------------------------
FREEWARE:
Dieser Quellcode darf unbegrenzt und fr jeden Zweck verwendet werden sofern
keine Gebhr erhoben wird. Der Quellcode darf weiterhin nach eigenen
Bedrfnissen anpasst, verbessert, kopiert und weitergegeben werden. Der
Urheberrechtshinweis darf nicht entfernt werden.
-------------------------------------------------------------------------------
|;
(defun c:AlleLayoutsUmbenennen ()
  (vl-load-com)
  (vlax-for i (vlax-get-property
                (vlax-get-property
                  (vlax-get-acad-object)
                  'ActiveDocument
                  )
                'Layouts
                )
    (if (/= 0 (vlax-get-property i 'TabOrder))
      (if
        (vl-catch-all-error-p
          (vl-catch-all-apply
            'vlax-put-property
            (list
              i
              'Name
              (strcat
                (vl-filename-base (getvar "DWGNAME"))
                "_"
                (itoa (vlax-get-property i 'TabOrder))
                )

              )
            )
          )
         (princ
           (strcat
             "\nLayout "
             (vlax-get-property i 'Name)
             " konnte nicht umbenannt werden, weil der Name bereits verwendet wurde."
             )
           )
         )
      )
    )
  )

;;; Kurzbefehl ALU
(defun c:ALU ()
  (c:AlleLayoutsUmbenennen)
  )


(princ
  "\n\"AlleLayoutsUmbenennen.lsp\" wurde geladen. Zum Starten \"AlleLayoutsUmbenennen\" oder \"ALU\" eingeben."
  )
(princ)